package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag496;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT496Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT496Creator mt496Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt496Creator = (MT496Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt496Creator.getMtDateTag11a();
        mt496Creator.set("11S", tag11aValue);
    }
}
